[arch-commits] Commit in gimp-devel/repos (4 files)

Eric Belanger eric at archlinux.org
Sun Aug 24 18:05:06 EDT 2008


    Date: Sunday, August 24, 2008 @ 18:05:06
  Author: eric
Revision: 10251

Merged revisions 5657-10250 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/gimp-devel/trunk

........
  r10249 | eric | 2008-08-24 17:04:29 -0400 (Sun, 24 Aug 2008) | 2 lines
  
  upgpkg: gimp-devel 2.5.3-1
      Upstream update, Added optdepends to clean up install script, Added devel docs
........

Modified:
  gimp-devel/repos/extra-i686/	(properties)
  gimp-devel/repos/extra-i686/ChangeLog
  gimp-devel/repos/extra-i686/PKGBUILD
  gimp-devel/repos/extra-i686/gimp-devel.install

--------------------+
 ChangeLog          |    7 +++++++
 PKGBUILD           |   18 +++++++++++-------
 gimp-devel.install |   15 ++-------------
 3 files changed, 20 insertions(+), 20 deletions(-)


Property changes on: gimp-devel/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /gimp-devel/trunk:1-5656
   + /gimp-devel/trunk:1-10250

Modified: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	2008-08-24 21:04:42 UTC (rev 10250)
+++ extra-i686/ChangeLog	2008-08-24 22:05:06 UTC (rev 10251)
@@ -1,3 +1,10 @@
+2008-08-22  Eric Belanger  <eric at archlinux.org>
+
+	* gimp-devel 2.5.3-1
+	* Upstream update
+	* Added optdepends to clean up install script
+	* Added devel docs
+
 2008-07-18  Eric Belanger  <eric at archlinux.org>
 
 	* gimp-devel 2.5.2-1

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-08-24 21:04:42 UTC (rev 10250)
+++ extra-i686/PKGBUILD	2008-08-24 22:05:06 UTC (rev 10251)
@@ -3,7 +3,7 @@
 # Contributor: Woody Gilk <woody at archlinux.org>
 
 pkgname=gimp-devel
-pkgver=2.5.2
+pkgver=2.5.3
 pkgrel=1
 pkgdesc="GNU Image Manipulation Program (Development Version)"
 arch=('i686' 'x86_64')
@@ -12,23 +12,27 @@
 depends=('gtk2>=2.10' 'lcms>=1.16' 'libxpm>=3.5.6' 'libwmf>=0.2.8.4' \
          'libxmu>=1.0.3' 'librsvg>=2.16.1' 'libmng>=1.0.9' 'desktop-file-utils' \
          'libexif>=0.6.13' 'pygtk>=2.10.4' 'dbus-glib' 'gegl>=0.0.18')
-makedepends=('gutenprint>=5.0.0' 'intltool>=0.35.5' 'libgtkhtml>=2.6.3' \
-             'gnome-python>=2.16.2' 'poppler>=0.6' 'pkgconfig>=0.21' \
-             'libgnomeprintui>=2.18' 'alsa-lib>=1.0.13')
+makedepends=('gutenprint>=5.0.0' 'intltool>=0.35.5' 'libwebkit' \
+             'gnome-python>=2.16.2' 'poppler-glib>=0.8.6' 'pkgconfig>=0.21' \
+             'libgnomeprintui>=2.18' 'alsa-lib>=1.0.13' 'gtk-doc')
+optdepends=('gutenprint: for sophisticated printing only as gimp has built-in cups print support' \
+            'libwebkit: for the help browser' 'poppler-glib: for pdf support' \
+            'hal: for Linux input event controller module' \
+            'alsa-lib: for MIDI event controller module')
 options=('!libtool' '!makeflags')
 conflicts=('gimp')
 provides=("gimp=${pkgver}")
 install=${pkgname}.install
 source=(ftp://ftp.gimp.org/pub/gimp/v${pkgver%.*}/gimp-${pkgver}.tar.bz2 linux.gpl)
-md5sums=('98add4a1ca6af2e20f80ae3f5a84a922' 'bb27bc214261d36484093e857f015f38')
-sha1sums=('f369239f25977ae7c29f0a256529072412960549' '110ce9798173b19a662d086ed7b882b4729f06cf')
+md5sums=('35a282a646520ce2a2e01c70a23e79c3' 'bb27bc214261d36484093e857f015f38')
+sha1sums=('7588fc71e6145412642078427584aa9d3c5092ff' '110ce9798173b19a662d086ed7b882b4729f06cf')
 
 build() {
   cd ${srcdir}/gimp-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
     --enable-mp --enable-gimp-console --enable-gimp-remote \
     --enable-python --with-gif-compression=lzw \
-    --without-aa --disable-devel-docs || return 1
+    --without-aa || return 1
   make || return 1
   make DESTDIR=${pkgdir} install-strip || return 1
 

Modified: extra-i686/gimp-devel.install
===================================================================
--- extra-i686/gimp-devel.install	2008-08-24 21:04:42 UTC (rev 10250)
+++ extra-i686/gimp-devel.install	2008-08-24 22:05:06 UTC (rev 10251)
@@ -1,23 +1,12 @@
 post_install() {
-  cat << EOM
-
---> OPTIONAL PACKAGES:
---> Please install optional packages as necessary. They will be found and
---> used automatically:
---> gimp has built-in cups print support now. For more sophisticated printing, install gutenprint.
---> For help browser support, install libgtkhtml.
-
-EOM
-
   echo "update desktop mime database..."
   update-desktop-database -q
 }
 
 post_upgrade() {
-  post_install $1
+  post_install
 }
 
 post_remove() {
-  echo "update desktop mime database..."
-  update-desktop-database -q
+  post_install
 }




More information about the arch-commits mailing list